Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class OwnedMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass
          org.codehaus.groovy.runtime.metaclass.OwnedMetaClass

    public abstract class OwnedMetaClass
    extends DelegatingMetaClass

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class DelegatingMetaClass
delegate

Constructor Summary
`OwnedMetaClass(MetaClass delegate)`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `getAttribute(Object object, String attribute)`
`Object` | `getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)`
`ClassNode` | `getClassNode()`
`MetaMethod` | `getMetaMethod(String name, Object[] args)`
`MetaMethod` | `getMetaMethod(String name, Class[] argTypes)`
`List` | `getMetaMethods()`
`MetaProperty` | `getMetaProperty(String name)`
`List` | `getMethods()`
`protected Object` | `getOwner()`
`protected MetaClass` | `getOwnerMetaClass(Object owner)`
`List` | `getProperties()`
`Object` | `getProperty(Object object, String property)`
`Object` | `getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)`
`MetaMethod` | `getStaticMetaMethod(String name, Object[] args)`
`MetaMethod` | `getStaticMetaMethod(String name, Class[] argTypes)`
`Class` | `getTheClass()`
`MetaProperty` | `hasProperty(Object obj, String name)`
`int` | `hashCode()`
`Object` | `invokeConstructor(Object[] arguments)`
`Object` | `invokeMethod(Object object, String methodName, Object arguments)`
`Object` | `invokeMethod(Object object, String methodName, Object[] arguments)`
`Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`
`Object` | `invokeMissingMethod(Object instance, String methodName, Object[] arguments)`
`Object` | `invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)`
`Object` | `invokeStaticMethod(Object object, String methodName, Object[] arguments)`
`boolean` | `isGroovyObject()`
`MetaMethod` | `pickMethod(String methodName, Class[] arguments)` @deprecated
`List` | `respondsTo(Object obj, String name, Object[] argTypes)`
`List` | `respondsTo(Object obj, String name)`
`int` | `selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)`
`void` | `setAttribute(Object object, String attribute, Object newValue)`
`void` | `setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
`void` | `setProperty(Object object, String property, Object newValue)`
`void` | `setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
`String` | `toString()`

Methods inherited from class DelegatingMetaClass
addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### OwnedMetaClass

    public OwnedMetaClass(MetaClass delegate)

Method Detail

### equals

    public boolean equals(Object obj)

### getAttribute

    public Object getAttribute(Object object, String attribute)

### getAttribute

    public Object getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)

### getClassNode

    public ClassNode getClassNode()

### getMetaMethod

    public MetaMethod getMetaMethod(String name, Object[] args)

### getMetaMethod

    public MetaMethod getMetaMethod(String name, Class[] argTypes)

### getMetaMethods

    public List getMetaMethods()

### getMetaProperty

    public MetaProperty getMetaProperty(String name)

### getMethods

    @Override
    public List getMethods()

### getOwner

    protected Object getOwner()

### getOwnerMetaClass

    protected MetaClass getOwnerMetaClass(Object owner)

### getProperties

    public List getProperties()

### getProperty

    public Object getProperty(Object object, String property)

### getProperty

    public Object getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(String name, Object[] args)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(String name, Class[] argTypes)

### getTheClass

    public Class getTheClass()

### hasProperty

    public MetaProperty hasProperty(Object obj, String name)

### hashCode

    public int hashCode()

### invokeConstructor

    public Object invokeConstructor(Object[] arguments)

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object arguments)

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object[] arguments)

### invokeMethod

    public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)

### invokeMissingMethod

    public Object invokeMissingMethod(Object instance, String methodName, Object[] arguments)

### invokeMissingProperty

    public Object invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)

### invokeStaticMethod

    public Object invokeStaticMethod(Object object, String methodName, Object[] arguments)

### isGroovyObject

    public boolean isGroovyObject()

### pickMethod

    public MetaMethod pickMethod(String methodName, Class[] arguments)

  deprecated:

### respondsTo

    public List respondsTo(Object obj, String name, Object[] argTypes)

### respondsTo

    public List respondsTo(Object obj, String name)

### selectConstructorAndTransformArguments

    public int selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)

### setAttribute

    public void setAttribute(Object object, String attribute, Object newValue)

### setAttribute

    public void setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

### setProperty

    public void setProperty(Object object, String property, Object newValue)

### setProperty

    public void setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.